/* All the variables used by engine.cpp */

#define STANDING  0
#define JUMPING   1
#define FALLING   2
#define WALKING   3
#define DASHING   4
#define SLIDING   5
#define KNEELING  6
#define HURTING   7

#define LEFT  0
#define RIGHT 1

#define MAXBULLETS 3
#define MAXDUSTCLOUDS 6
#define MAXCHARGELEVEL 200

struct ANIM
{
	char frames[20];
	char current_frame;
	char lastframe;
    char loopframe;
};

struct BULLET
{
 	TObject bullet;
 	char level;
 	char damage;
    char animspeed;
    char animpos;
    char current_frame;

 	char speed;

};

struct DUSTCLOUD
{
	TObject dustcloud;
 	char dustspeed;
    char dustspawn;
};

struct ENEMYDAT
{
	char* name;
	char index;
	char numbodyparts;
	TObject body[16];

	int hp;
	int expforkill;

    char facing;
	char animpos;
	char animspeed;
	char doing;
	char speed;
	char life;
	char active;

	char cdmg;

};

struct PLAYER
{
	char* name;
	TObject head;
	TObject body;
	char* spritefile;

    int level,hp,chp,ep,cep,ap,cap;

	char hurtable;
	char hurtdur;
	char hurtpos;
    char facing;
    char dashpos;
    char dashdistance;
    char dashjump;
    char jumpheight;
    char jumpspeed;
	char fallspeed;
	char maxjumpheight;
	char animpos;
    char animspeed;
    char doing;
    char speed;
    char shooting;
    char shootingdur;
    char shootingpos;
    char ishurt;
	char ishurtdur;
    char ishurtpos;
    char chargeflash;
    char chargeflashdur;
    char chargeflashpos;
    char alreadycharging;
    char hurtflash;
	char hurtflashdur;
    char hurtflashpos;
    char hurt_flash;
	char hurt_flash_dur;
    char hurt_flash_pos;
    int chargecolor;
    unsigned char chargelevel;
    int chargelevel0,chargelevel1,chargelevel2;
	int chargelevel0c,chargelevel1c,chargelevel2c;

 	BULLET bullets[MAXBULLETS];
	DUSTCLOUD dustclouds[MAXDUSTCLOUDS];
};


